Public Attributes | List of all members
cgms_init_t Struct Reference
BLE Services » Continuous Glucose Monitoring Service (CGMS) » Structures

CGM Service init stucture. More...

`#include <cgms.h>`

Collaboration diagram for cgms_init_t:
[legend]

## Public Attributes
cgms_cccd_change_handler_t | cccd_change_handler
cgms_get_info_req_handler_t | get_info_req_handler
cgms_cp_cmd_req_handler_t | cp_cmd_req_handler
cgms_racp_req_handler_t | racp_req_handler
cgms_rec_num_get_func_t | rec_num_get_func
cgms_db_rec_delete_func_t | rec_delete_func
cgms_db_rec_get_func_t | rec_get_func
uint32_t | feature
cgms_meas_type_t | meas_type
cgms_meas_loc_t | meas_loc

## Detailed Description

CGM Service init stucture.

This contains all option and data needed for initialization of the service.

Definition at line 361 of file cgms.h.

## Member Data Documentation

## ◆ cccd_change_handler

cgms_cccd_change_handler_t cgms_init_t::cccd_change_handler

Definition at line 364 of file cgms.h.

## ◆ cp_cmd_req_handler

cgms_cp_cmd_req_handler_t cgms_init_t::cp_cmd_req_handler

Definition at line 366 of file cgms.h.

## ◆ feature

uint32_t cgms_init_t::feature

Definition at line 371 of file cgms.h.

## ◆ get_info_req_handler

cgms_get_info_req_handler_t cgms_init_t::get_info_req_handler

Definition at line 365 of file cgms.h.

## ◆ meas_loc

cgms_meas_loc_t cgms_init_t::meas_loc

Definition at line 373 of file cgms.h.

## ◆ meas_type

cgms_meas_type_t cgms_init_t::meas_type

Definition at line 372 of file cgms.h.

## ◆ racp_req_handler

cgms_racp_req_handler_t cgms_init_t::racp_req_handler

Definition at line 367 of file cgms.h.

## ◆ rec_delete_func

cgms_db_rec_delete_func_t cgms_init_t::rec_delete_func

Definition at line 369 of file cgms.h.

## ◆ rec_get_func

cgms_db_rec_get_func_t cgms_init_t::rec_get_func

Definition at line 370 of file cgms.h.

## ◆ rec_num_get_func

cgms_rec_num_get_func_t cgms_init_t::rec_num_get_func

Definition at line 368 of file cgms.h.

The documentation for this struct was generated from the following file:

- cgms.h